#include <iostream>

using namespace std;

int main()
{
    long long int n,k,s=0,j=0;
    cin >> n >> k;
    long long int a[n],c[n];
    for(long long int i=0; i<n; i++)
    {
        cin >> a[i];
    }
    long long int b[n]={0};
    for(long long int i=0; i<n; i++)
    {
        b[a[i]]++;
    }
    for(long long int i=0; i<n; i++)
    {
        if(b[i]>=k)
        {
            s++;
            c[j]=i;
            j++;
        }
    }
    cout << s << endl;
    for(long long int i=0; i<j; i++)
    {
        cout << c[i] << " ";
    }
    return 0;
}